<template>
    <div class="card shadow"
         :class="type === 'dark' ? 'bg-default': ''">
        <div class="card-header border-0"
             :class="type === 'dark' ? 'bg-transparent': ''">
            <div class="row align-items-center">
                <div class="col">
                    <h3 class="mb-0" :class="type === 'dark' ? 'text-white': ''">
                        {{title}}
                    </h3>
                </div>
            </div>
        </div>

        <div class="table-responsive">
            <base-table class="table align-items-center table-flush"
                        :class="type === 'dark' ? 'table-dark': ''"
                        :thead-classes="type === 'dark' ? 'thead-dark': 'thead-light'"
                        tbody-classes="list"
                        :data="tableData">
                <template slot="columns">
                    <th>Name</th>
                    <th>Status</th>
                    <th></th>
                </template>
                <template slot-scope="{row}">

                    <th scope="row">
                        <nuxt-link :to="'/dashboard/contact/'+row.id">
                            <div class="media align-items-center">
                                <div class="media-body">
                                    <span class="name mb-0 text-sm">{{row.title}}</span>
                                </div>
                            </div>
                        </nuxt-link>
                    </th>
                    <td>
                        <nuxt-link :to="'/dashboard/contact/'+row.id">

                            <badge class="badge-dot mr-4" :type="row.statusType">
                                <i :class="`bg-${row.statusType}`"></i>
                                <span class="status">{{row.status}}</span>
                            </badge>
                        </nuxt-link>

                    </td>
                </template>
            </base-table>
        </div>

        <div class="card-footer d-flex justify-content-end"
             :class="type === 'dark' ? 'bg-transparent': ''">
            <base-pagination :total="30"></base-pagination>
        </div>

    </div>
</template>
<script>
    export default {
        name: 'projects-table',
        props: {
            type: {
                type: String
            },
            title: String
        },
        mounted () {
            let statuses = [
                'New',
                'Contracted',
                'Made an appointment',
                'Received Order',
                'Not interested (client)',
                'Not interested (lawyer)'
            ]
            let statusTypes = [
                'new',
                'primary',
                'info',
                'success' ,
                'danger',
                'danger'
            ]
            this.tableData = []
            this.$auth.user.contacts.forEach(contact => {
                console.log(contact)
              this.tableData.push({
                  id: contact._id,
                  title: contact.name,
                  status: statuses[contact.phase],
                  statusType: statusTypes[contact.phase]
              })
            });

        },
        data() {
            return {
                tableData: [
                    {
                        id: 1,
                        img: require('~/assets/img/theme/bootstrap.jpg'),
                        title: 'John Doe',
                        status: 'Received order',
                        statusType: 'success',
                    },
                    {
                        id: 2,
                        img: require('~/assets/img/theme/angular.jpg'),
                        title: 'John Doe',
                        status: 'Not interested (client)',
                        statusType: 'danger',
                    },
                    {
                        id: 3,
                        img: require('~/assets/img/theme/sketch.jpg'),
                        title: 'John Doe',
                        status: 'Made an appointment',
                        statusType: 'info',
                    },
                    {
                        id: 4,
                        img: require('~/assets/img/theme/react.jpg'),
                        title: 'John Doe',
                        status: 'contacted',
                        statusType: 'primary',
                    },
                    {
                        id: 5,
                        img: require('~/assets/img/theme/vue.jpg'),
                        title: 'John Doe',
                        status: 'new',
                        statusType: 'default',
                    }
                ]
            }
        }
    }
</script>
<style>
</style>
